Skip to content
LydieDevelopers
Menu

List connected apps

View as Markdown
GET/v1/workspaces/{workspaceId}/oauth-grants

Apps you allowed to act for you in this workspace through OAuth (MCP clients).

Request
curl "https://api.lydie.co/v1/workspaces/01JCQ3TZ0WJ8K4M2X7T9R6N1PA/oauth-grants" \
  -H "Authorization: Bearer $LYDIE_TOKEN"

Path parameters

Response

200
{
  "grants": [
    {
      "id": "string",
      "workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
      "client": {
        "id": "string",
        "name": "Notes",
        "uri": "string"
      },
      "scopes": [
        "docs:read"
      ],
      "createdAt": "string",
      "lastUsedAt": null
    }
  ]
}

Errors use one envelope for every endpoint. See Errors and versions.